#include <def21262.h>
#include <cdef21262.h>
#include <initPLL.h>
#include <signal.h>
asm("#include <def21262.h>");

// Configure the SW9 switch position 6 to OFF to use the LEDs as Flags.

#define LED_address 0x1400000
extern void InitSRU(void);

void General_Purpose_Timer0_Isr(int dummy);
void InitTimers(void);

int toggle_flag = 0;
int	Period_measured = 0;
int	Count_measured = 0;
int count = 0;

void main()
{
	int i;
	
	initPLL_2126x(8,0,0,true);
	
	InitSRU();
	
	interrupt(SIG_GPTMR0, General_Purpose_Timer0_Isr);
		
	InitTimers();
	
	*pSYSCTL |= PPFLGS;
	
	*pPPCTL = 0;
	
	
	asm("bit set FLAGS  FLG8O |FLG9O | FLG10O | FLG11O | FLG12O | FLG13O | FLG14O | FLG15O | FLG8 |FLG9 | FLG10 | FLG11 | FLG12 | FLG13 | FLG14 | FLG15;"); 	
	asm("nop;");
	
	asm("bit set  FLAGS FLG8 |FLG9 | FLG10 | FLG11;"); 	
	asm("nop;");
	
	asm("bit clr  FLAGS FLG12 | FLG13 | FLG14 | FLG15;");
	asm("nop;");
	
	while(1)
	{
		asm("bit tgl FLAGS FLG8 |FLG9 | FLG10 | FLG11 |FLG12 | FLG13 | FLG14 | FLG15 ;"); 
		asm("nop;");
	
		for( i = 0; i < 0xFFFFFF; i++ )
		{
			asm("nop;");
		}
	}
	
}

void InitTimers(void)
{

	// Configure Timer 1 in PWM output mode.
	*pTM1CTL = TIMODEPWM | PULSE | PRDCNT;
	*pTM1PRD = 0x10000;
	*pTM1W = 0x5000;
		
	// Enable Timer 0 in Width capture mode
	*pTM0CTL = TIMODEW | PULSE | PRDCNT | IRQEN;
	*pTMSTAT = TIM0EN | TIM1EN;
		
}

void General_Purpose_Timer0_Isr(int dummy)
{
	count++;
	Period_measured = *pTM0PRD;
	Count_measured = *pTM0W;
	
	*pTMSTAT = TIM0IRQ;

}
